Trying to build 5.10.0 on Windows getting PyCapsule_GetPointer error at runtime.

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Trying to build 5.10.0 on Windows getting PyCapsule_GetPointer error at runtime.

Andrew Cunningham
For various reasons I need to build an older version of PyQt5 ( 5.10.0) on windows.
QT version is 5.12.7 (64-bit)
Steps to make this happen
  • Clean python 3.7 installation( no existing SIP or PyQt5)
  • Build and install SIP 4.19.23
  • configure D:\PyQt5_commercial-5.10, build¬† and install

Yet I get "ValueError: PyCapsule_GetPointer called with incorrect name" when trying to execute any PyQt5 code

>>> from PyQt5.QtWidgets import  QInputDialog,QLineEdit
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ValueError: PyCapsule_GetPointer called with incorrect name


How can this happen when I am using the same versions of sip? It seems that error only occurs when using incompatible SIP versions.

Initial output of configure

Checking to see if the dbus support module should be built...
DBus v1 does not seem to be installed.
Qt v5.12.7 is being used.
The qmake executable is D:\Qt\5.12.7\msvc2017_64\bin\qmake.exe.
Qt is built as a shared library.
SIP 4.19.23 is being used.
The sip executable is C:\Python37\sip.exe.
These PyQt5 modules will be built: QtGui, QtWidgets, QtWinExtras, QtNetwork,
QtOpenGL, QtSvg, QtXml, QtCore.
The PyQt5 Python package will be installed in c:\python37\Lib\site-packages.
PyQt5 is being built with generated docstrings.
The Designer plugin will be installed in
D:/Qt/5.12.7/msvc2017_64/plugins/designer.
The qmlscene plugin will be installed in
D:/Qt/5.12.7/msvc2017_64/plugins/PyQt5.
The PyQt5 PEP 484 stub files will be installed in
c:\python37\Lib\site-packages\PyQt5.
The PyQt5 .sip files will be installed in c:\python37\sip\PyQt5.
pyuic5, pyrcc5 and pylupdate5 will be installed in c:\python37.
The interpreter used by pyuic5 is c:\python37\python.exe.



Andrew